#!/bin/sh

# Where are we?
cd `dirname "$0"`
TOP=`/bin/pwd`

# What are we running on?

ARCH=linux-x86
#ARCH=linux-x86_64

BIN="$TOP/bin/$ARCH"

# Point MEDM at our directory containing .adl and font alias files
EPICS_DISPLAY_PATH="$TOP/adl"
export EPICS_DISPLAY_PATH


# X11 font configuration for MEDM
if [ -f "$EPICS_DISPLAY_PATH/fonts.alias" -a -z "`$X11/xlsfonts -fn '*widgetdm*' 2>/dev/null`" ]
then
    # FIXME: This doesn't work if only a font server is used...
    $X11/xset fp+ "$EPICS_DISPLAY_PATH" 2>/dev/null
    sleep 1
fi

# Start a CA Repeater, quietly
#$BIN/caRepeater 2>&1 >/dev/null &

# Run MEDM
exec medm -dg +0+15 -local -x powerTest.adl
