/* @(#)SNC/SEQ Version 1.9.2.Beta12 : Thu Sep  1 10:05:25 2005: ssd_pow_lad.i */


/* Event flags */
/* Program "pow_lad" */
#define ANSI
#include "seqCom.h"

#define NUM_SS 4
#define NUM_CHANNELS 11
#define NUM_EVENTS 0
#define MAX_STRING_SIZE 40
#define ASYNC_OPT FALSE
#define CONN_OPT TRUE
#define DEBUG_OPT FALSE
#define REENT_OPT TRUE


extern struct seqProgram pow_lad;

/* Variable declarations */
struct UserVar {
	short	main_switch;
	short	main_hv_switch;
	short	ladN_power_status;
	short	ladP_power_status;
	short	p2;
	short	m2;
	short	p2f;
	short	m2f;
	short	p5;
	short	p5f;
	short	hi_volt;
};
/* Code for state "init" in state set "onoff_lvps" */

/* Delay function for state "init" in state set "onoff_lvps" */
static void D_onoff_lvps_init(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 55 "../ssd_pow_lad.st"
# line 59 "../ssd_pow_lad.st"
}

/* Event function for state "init" in state set "onoff_lvps" */
static long E_onoff_lvps_init(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 55 "../ssd_pow_lad.st"
	if (!(pVar->main_switch))
	{
		*pNextState = 2;
		*pTransNum = 0;
		return TRUE;
	}
# line 59 "../ssd_pow_lad.st"
	if ((pVar->main_switch))
	{
		*pNextState = 1;
		*pTransNum = 1;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "init" in state set "onoff_lvps" */
static void A_onoff_lvps_init(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
		return;
	case 1:
		return;
	}
}
/* Code for state "start" in state set "onoff_lvps" */

/* Delay function for state "start" in state set "onoff_lvps" */
static void D_onoff_lvps_start(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 79 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
}

/* Event function for state "start" in state set "onoff_lvps" */
static long E_onoff_lvps_start(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 79 "../ssd_pow_lad.st"
	if ((pVar->main_switch))
	{
		*pNextState = 2;
		*pTransNum = 0;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "start" in state set "onoff_lvps" */
static void A_onoff_lvps_start(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 66 "../ssd_pow_lad.st"
		(pVar->m2) = 1;
		(pVar->m2f) = 1;
		seq_pvPut(ssId, 5) 
;
		seq_pvPut(ssId, 7) 
;
		seq_delay(ssId, 0);
		(pVar->p2) = 1;
		(pVar->p2f) = 1;
		(pVar->p5) = 1;
		(pVar->p5f) = 1;
		seq_pvPut(ssId, 4) 
;
		seq_pvPut(ssId, 6) 
;
		seq_pvPut(ssId, 8) 
;
		seq_pvPut(ssId, 9) 
;
		return;
	}
}
/* Code for state "stop" in state set "onoff_lvps" */

/* Delay function for state "stop" in state set "onoff_lvps" */
static void D_onoff_lvps_stop(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 99 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
# line 110 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
# line 121 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
}

/* Event function for state "stop" in state set "onoff_lvps" */
static long E_onoff_lvps_stop(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 99 "../ssd_pow_lad.st"
	if (!(pVar->main_switch))
	{
		*pNextState = 1;
		*pTransNum = 0;
		return TRUE;
	}
# line 110 "../ssd_pow_lad.st"
	if ((pVar->main_switch) && ((!(pVar->p2)) || (!(pVar->m2)) || (!(pVar->p5))))
	{
		*pNextState = 3;
		*pTransNum = 1;
		return TRUE;
	}
# line 121 "../ssd_pow_lad.st"
	if ((pVar->main_switch) && ((!(pVar->p2f)) || (!(pVar->m2f)) || (!(pVar->p5f))))
	{
		*pNextState = 4;
		*pTransNum = 2;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "stop" in state set "onoff_lvps" */
static void A_onoff_lvps_stop(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 86 "../ssd_pow_lad.st"
		(pVar->p2) = 0;
		(pVar->p2f) = 0;
		(pVar->p5) = 0;
		(pVar->p5f) = 0;
		seq_pvPut(ssId, 4) 
;
		seq_pvPut(ssId, 6) 
;
		seq_pvPut(ssId, 8) 
;
		seq_pvPut(ssId, 9) 
;
		seq_delay(ssId, 0);
		(pVar->m2) = 0;
		(pVar->m2f) = 0;
		seq_pvPut(ssId, 5) 
;
		seq_pvPut(ssId, 7) 
;
		return;
	case 1:
# line 103 "../ssd_pow_lad.st"
		(pVar->p2) = 0;
		(pVar->p5) = 0;
		seq_pvPut(ssId, 4) 
;
		seq_pvPut(ssId, 8) 
;
		seq_delay(ssId, 0);
		(pVar->m2) = 0;
		seq_pvPut(ssId, 5) 
;
		return;
	case 2:
# line 114 "../ssd_pow_lad.st"
		(pVar->p2f) = 0;
		(pVar->p5f) = 0;
		seq_pvPut(ssId, 6) 
;
		seq_pvPut(ssId, 9) 
;
		seq_delay(ssId, 0);
		(pVar->m2f) = 0;
		seq_pvPut(ssId, 7) 
;
		return;
	}
}
/* Code for state "errorN" in state set "onoff_lvps" */

/* Delay function for state "errorN" in state set "onoff_lvps" */
static void D_onoff_lvps_errorN(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 136 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
# line 140 "../ssd_pow_lad.st"
}

/* Event function for state "errorN" in state set "onoff_lvps" */
static long E_onoff_lvps_errorN(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 136 "../ssd_pow_lad.st"
	if ((pVar->p2) || (pVar->m2) || (pVar->p5))
	{
		*pNextState = 2;
		*pTransNum = 0;
		return TRUE;
	}
# line 140 "../ssd_pow_lad.st"
	if (!(pVar->main_switch))
	{
		*pNextState = 2;
		*pTransNum = 1;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "errorN" in state set "onoff_lvps" */
static void A_onoff_lvps_errorN(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 129 "../ssd_pow_lad.st"
		(pVar->m2) = 1;
		seq_pvPut(ssId, 5) 
;
		seq_delay(ssId, 0);
		(pVar->p2) = 1;
		(pVar->p5) = 1;
		seq_pvPut(ssId, 4) 
;
		seq_pvPut(ssId, 8) 
;
		return;
	case 1:
		return;
	}
}
/* Code for state "errorP" in state set "onoff_lvps" */

/* Delay function for state "errorP" in state set "onoff_lvps" */
static void D_onoff_lvps_errorP(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 153 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
# line 157 "../ssd_pow_lad.st"
}

/* Event function for state "errorP" in state set "onoff_lvps" */
static long E_onoff_lvps_errorP(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 153 "../ssd_pow_lad.st"
	if ((pVar->p2f) || (pVar->m2f) || (pVar->p5f))
	{
		*pNextState = 2;
		*pTransNum = 0;
		return TRUE;
	}
# line 157 "../ssd_pow_lad.st"
	if (!(pVar->main_switch))
	{
		*pNextState = 2;
		*pTransNum = 1;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "errorP" in state set "onoff_lvps" */
static void A_onoff_lvps_errorP(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 146 "../ssd_pow_lad.st"
		(pVar->m2f) = 1;
		seq_pvPut(ssId, 7) 
;
		seq_delay(ssId, 0);
		(pVar->p2f) = 1;
		(pVar->p5f) = 1;
		seq_pvPut(ssId, 6) 
;
		seq_pvPut(ssId, 9) 
;
		return;
	case 1:
		return;
	}
}
/* Code for state "init" in state set "onoff_hvps" */

/* Delay function for state "init" in state set "onoff_hvps" */
static void D_onoff_hvps_init(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 167 "../ssd_pow_lad.st"
# line 171 "../ssd_pow_lad.st"
}

/* Event function for state "init" in state set "onoff_hvps" */
static long E_onoff_hvps_init(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 167 "../ssd_pow_lad.st"
	if (!(pVar->main_hv_switch))
	{
		*pNextState = 2;
		*pTransNum = 0;
		return TRUE;
	}
# line 171 "../ssd_pow_lad.st"
	if ((pVar->main_hv_switch))
	{
		*pNextState = 1;
		*pTransNum = 1;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "init" in state set "onoff_hvps" */
static void A_onoff_hvps_init(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
		return;
	case 1:
		return;
	}
}
/* Code for state "start" in state set "onoff_hvps" */

/* Delay function for state "start" in state set "onoff_hvps" */
static void D_onoff_hvps_start(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 180 "../ssd_pow_lad.st"
}

/* Event function for state "start" in state set "onoff_hvps" */
static long E_onoff_hvps_start(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 180 "../ssd_pow_lad.st"
	if ((pVar->main_hv_switch))
	{
		*pNextState = 2;
		*pTransNum = 0;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "start" in state set "onoff_hvps" */
static void A_onoff_hvps_start(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 178 "../ssd_pow_lad.st"
		(pVar->hi_volt) = 1;
		seq_pvPut(ssId, 10) 
;
		return;
	}
}
/* Code for state "stop" in state set "onoff_hvps" */

/* Delay function for state "stop" in state set "onoff_hvps" */
static void D_onoff_hvps_stop(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 189 "../ssd_pow_lad.st"
}

/* Event function for state "stop" in state set "onoff_hvps" */
static long E_onoff_hvps_stop(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 189 "../ssd_pow_lad.st"
	if (!(pVar->main_hv_switch))
	{
		*pNextState = 1;
		*pTransNum = 0;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "stop" in state set "onoff_hvps" */
static void A_onoff_hvps_stop(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 187 "../ssd_pow_lad.st"
		(pVar->hi_volt) = 0;
		seq_pvPut(ssId, 10) 
;
		return;
	}
}
/* Code for state "init" in state set "powerN_status" */

/* Delay function for state "init" in state set "powerN_status" */
static void D_powerN_status_init(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 202 "../ssd_pow_lad.st"
# line 208 "../ssd_pow_lad.st"
}

/* Event function for state "init" in state set "powerN_status" */
static long E_powerN_status_init(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 202 "../ssd_pow_lad.st"
	if ((pVar->p2) && (pVar->m2) && (pVar->p5))
	{
		*pNextState = 1;
		*pTransNum = 0;
		return TRUE;
	}
# line 208 "../ssd_pow_lad.st"
	if ((!(pVar->p2)) || (!(pVar->m2)) || (!(pVar->p5)))
	{
		*pNextState = 1;
		*pTransNum = 1;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "init" in state set "powerN_status" */
static void A_powerN_status_init(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 200 "../ssd_pow_lad.st"
		(pVar->ladN_power_status) = 1;
		seq_pvPut(ssId, 2) 
;
		return;
	case 1:
# line 206 "../ssd_pow_lad.st"
		(pVar->ladN_power_status) = 0;
		seq_pvPut(ssId, 2) 
;
		return;
	}
}
/* Code for state "wait" in state set "powerN_status" */

/* Delay function for state "wait" in state set "powerN_status" */
static void D_powerN_status_wait(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 215 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
}

/* Event function for state "wait" in state set "powerN_status" */
static long E_powerN_status_wait(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 215 "../ssd_pow_lad.st"
	if (seq_delay(ssId, 0))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "wait" in state set "powerN_status" */
static void A_powerN_status_wait(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
		return;
	}
}
/* Code for state "init" in state set "powerP_status" */

/* Delay function for state "init" in state set "powerP_status" */
static void D_powerP_status_init(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 229 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (5));
# line 236 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (5));
}

/* Event function for state "init" in state set "powerP_status" */
static long E_powerP_status_init(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 229 "../ssd_pow_lad.st"
	if ((pVar->p2f) && (pVar->m2f) && (pVar->p5f))
	{
		*pNextState = 1;
		*pTransNum = 0;
		return TRUE;
	}
# line 236 "../ssd_pow_lad.st"
	if ((!(pVar->p2f)) || (!(pVar->m2f)) || (!(pVar->p5f)))
	{
		*pNextState = 1;
		*pTransNum = 1;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "init" in state set "powerP_status" */
static void A_powerP_status_init(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 226 "../ssd_pow_lad.st"
		(pVar->ladP_power_status) = 1;
		seq_pvPut(ssId, 3) 
;
		seq_delay(ssId, 0);
		return;
	case 1:
# line 233 "../ssd_pow_lad.st"
		(pVar->ladP_power_status) = 0;
		seq_pvPut(ssId, 3) 
;
		seq_delay(ssId, 0);
		return;
	}
}
/* Code for state "wait" in state set "powerP_status" */

/* Delay function for state "wait" in state set "powerP_status" */
static void D_powerP_status_wait(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 243 "../ssd_pow_lad.st"
	seq_delayInit(ssId, 0, (1));
}

/* Event function for state "wait" in state set "powerP_status" */
static long E_powerP_status_wait(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 243 "../ssd_pow_lad.st"
	if (seq_delay(ssId, 0))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "wait" in state set "powerP_status" */
static void A_powerP_status_wait(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
		return;
	}
}
/* Exit handler */
static void exit_handler(ssId, pVar)
int	ssId;
struct UserVar	*pVar;
{
}

/************************ Tables ***********************/

/* Database Blocks */
static struct seqChan seqChan[NUM_CHANNELS] = {
  {"ssd_main_power", (void *)OFFSET(struct UserVar, main_switch), "main_switch", 
    "short", 1, 1, 0, 1},

  {"ssd_main_hi_volt", (void *)OFFSET(struct UserVar, main_hv_switch), "main_hv_switch", 
    "short", 1, 2, 0, 1},

  {"ssd_lad{lad}N_power_status", (void *)OFFSET(struct UserVar, ladN_power_status), "ladN_power_status", 
    "short", 1, 3, 0, 0},

  {"ssd_lad{lad}P_power_status", (void *)OFFSET(struct UserVar, ladP_power_status), "ladP_power_status", 
    "short", 1, 4, 0, 0},

  {"ssd_lad{lad}N_p2v", (void *)OFFSET(struct UserVar, p2), "p2", 
    "short", 1, 5, 0, 1},

  {"ssd_lad{lad}N_m2v", (void *)OFFSET(struct UserVar, m2), "m2", 
    "short", 1, 6, 0, 1},

  {"ssd_lad{lad}P_p2v", (void *)OFFSET(struct UserVar, p2f), "p2f", 
    "short", 1, 7, 0, 1},

  {"ssd_lad{lad}P_m2v", (void *)OFFSET(struct UserVar, m2f), "m2f", 
    "short", 1, 8, 0, 1},

  {"ssd_lad{lad}N_p5v", (void *)OFFSET(struct UserVar, p5), "p5", 
    "short", 1, 9, 0, 1},

  {"ssd_lad{lad}P_p5v", (void *)OFFSET(struct UserVar, p5f), "p5f", 
    "short", 1, 10, 0, 1},

  {"ssd_lad{lad}_hiv", (void *)OFFSET(struct UserVar, hi_volt), "hi_volt", 
    "short", 1, 11, 0, 1},

};

/* Event masks for state set onoff_lvps */
	/* Event mask for state init: */
static bitMask	EM_onoff_lvps_init[] = {
	0x00000002,
};
	/* Event mask for state start: */
static bitMask	EM_onoff_lvps_start[] = {
	0x00000002,
};
	/* Event mask for state stop: */
static bitMask	EM_onoff_lvps_stop[] = {
	0x000007e2,
};
	/* Event mask for state errorN: */
static bitMask	EM_onoff_lvps_errorN[] = {
	0x00000262,
};
	/* Event mask for state errorP: */
static bitMask	EM_onoff_lvps_errorP[] = {
	0x00000582,
};

/* State Blocks */

static struct seqState state_onoff_lvps[] = {
	/* State "init" */ {
	/* state name */       "init",
	/* action function */ (ACTION_FUNC) A_onoff_lvps_init,
	/* event function */  (EVENT_FUNC) E_onoff_lvps_init,
	/* delay function */   (DELAY_FUNC) D_onoff_lvps_init,
	/* event mask array */ EM_onoff_lvps_init},

	/* State "start" */ {
	/* state name */       "start",
	/* action function */ (ACTION_FUNC) A_onoff_lvps_start,
	/* event function */  (EVENT_FUNC) E_onoff_lvps_start,
	/* delay function */   (DELAY_FUNC) D_onoff_lvps_start,
	/* event mask array */ EM_onoff_lvps_start},

	/* State "stop" */ {
	/* state name */       "stop",
	/* action function */ (ACTION_FUNC) A_onoff_lvps_stop,
	/* event function */  (EVENT_FUNC) E_onoff_lvps_stop,
	/* delay function */   (DELAY_FUNC) D_onoff_lvps_stop,
	/* event mask array */ EM_onoff_lvps_stop},

	/* State "errorN" */ {
	/* state name */       "errorN",
	/* action function */ (ACTION_FUNC) A_onoff_lvps_errorN,
	/* event function */  (EVENT_FUNC) E_onoff_lvps_errorN,
	/* delay function */   (DELAY_FUNC) D_onoff_lvps_errorN,
	/* event mask array */ EM_onoff_lvps_errorN},

	/* State "errorP" */ {
	/* state name */       "errorP",
	/* action function */ (ACTION_FUNC) A_onoff_lvps_errorP,
	/* event function */  (EVENT_FUNC) E_onoff_lvps_errorP,
	/* delay function */   (DELAY_FUNC) D_onoff_lvps_errorP,
	/* event mask array */ EM_onoff_lvps_errorP},


};

/* Event masks for state set onoff_hvps */
	/* Event mask for state init: */
static bitMask	EM_onoff_hvps_init[] = {
	0x00000004,
};
	/* Event mask for state start: */
static bitMask	EM_onoff_hvps_start[] = {
	0x00000004,
};
	/* Event mask for state stop: */
static bitMask	EM_onoff_hvps_stop[] = {
	0x00000004,
};

/* State Blocks */

static struct seqState state_onoff_hvps[] = {
	/* State "init" */ {
	/* state name */       "init",
	/* action function */ (ACTION_FUNC) A_onoff_hvps_init,
	/* event function */  (EVENT_FUNC) E_onoff_hvps_init,
	/* delay function */   (DELAY_FUNC) D_onoff_hvps_init,
	/* event mask array */ EM_onoff_hvps_init},

	/* State "start" */ {
	/* state name */       "start",
	/* action function */ (ACTION_FUNC) A_onoff_hvps_start,
	/* event function */  (EVENT_FUNC) E_onoff_hvps_start,
	/* delay function */   (DELAY_FUNC) D_onoff_hvps_start,
	/* event mask array */ EM_onoff_hvps_start},

	/* State "stop" */ {
	/* state name */       "stop",
	/* action function */ (ACTION_FUNC) A_onoff_hvps_stop,
	/* event function */  (EVENT_FUNC) E_onoff_hvps_stop,
	/* delay function */   (DELAY_FUNC) D_onoff_hvps_stop,
	/* event mask array */ EM_onoff_hvps_stop},


};

/* Event masks for state set powerN_status */
	/* Event mask for state init: */
static bitMask	EM_powerN_status_init[] = {
	0x00000260,
};
	/* Event mask for state wait: */
static bitMask	EM_powerN_status_wait[] = {
	0x00000000,
};

/* State Blocks */

static struct seqState state_powerN_status[] = {
	/* State "init" */ {
	/* state name */       "init",
	/* action function */ (ACTION_FUNC) A_powerN_status_init,
	/* event function */  (EVENT_FUNC) E_powerN_status_init,
	/* delay function */   (DELAY_FUNC) D_powerN_status_init,
	/* event mask array */ EM_powerN_status_init},

	/* State "wait" */ {
	/* state name */       "wait",
	/* action function */ (ACTION_FUNC) A_powerN_status_wait,
	/* event function */  (EVENT_FUNC) E_powerN_status_wait,
	/* delay function */   (DELAY_FUNC) D_powerN_status_wait,
	/* event mask array */ EM_powerN_status_wait},


};

/* Event masks for state set powerP_status */
	/* Event mask for state init: */
static bitMask	EM_powerP_status_init[] = {
	0x00000580,
};
	/* Event mask for state wait: */
static bitMask	EM_powerP_status_wait[] = {
	0x00000000,
};

/* State Blocks */

static struct seqState state_powerP_status[] = {
	/* State "init" */ {
	/* state name */       "init",
	/* action function */ (ACTION_FUNC) A_powerP_status_init,
	/* event function */  (EVENT_FUNC) E_powerP_status_init,
	/* delay function */   (DELAY_FUNC) D_powerP_status_init,
	/* event mask array */ EM_powerP_status_init},

	/* State "wait" */ {
	/* state name */       "wait",
	/* action function */ (ACTION_FUNC) A_powerP_status_wait,
	/* event function */  (EVENT_FUNC) E_powerP_status_wait,
	/* delay function */   (DELAY_FUNC) D_powerP_status_wait,
	/* event mask array */ EM_powerP_status_wait},


};

/* State Set Blocks */
static struct seqSS seqSS[NUM_SS] = {
	/* State set "onoff_lvps" */ {
	/* ss name */            "onoff_lvps",
	/* ptr to state block */ state_onoff_lvps,
	/* number of states */   5,
	/* error state */        -1},


	/* State set "onoff_hvps" */ {
	/* ss name */            "onoff_hvps",
	/* ptr to state block */ state_onoff_hvps,
	/* number of states */   3,
	/* error state */        -1},


	/* State set "powerN_status" */ {
	/* ss name */            "powerN_status",
	/* ptr to state block */ state_powerN_status,
	/* number of states */   2,
	/* error state */        -1},


	/* State set "powerP_status" */ {
	/* ss name */            "powerP_status",
	/* ptr to state block */ state_powerP_status,
	/* number of states */   2,
	/* error state */        -1},
};

/* Program parameter list */
static char prog_param[] = "";

/* State Program table (global) */
struct seqProgram pow_lad = {
	/* magic number */       940501,
	/* *name */              "pow_lad",
	/* *pChannels */         seqChan,
	/* numChans */           NUM_CHANNELS,
	/* *pSS */               seqSS,
	/* numSS */              NUM_SS,
	/* user variable size */ sizeof(struct UserVar),
	/* *pParams */           prog_param,
	/* numEvents */          NUM_EVENTS,
	/* encoded options */    (0 | OPT_CONN | OPT_NEWEF | OPT_REENT | OPT_VXWORKS),
	/* exit handler */      (EXIT_FUNC) exit_handler,
};
