#!../../bin/linux-x86/ssd

## You may have to change ssd to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase "dbd/ssd.dbd"
ssd_registerRecordDeviceDriver pdbbase

## Load record instances
dbLoadTemplate "db/userHost.substitutions"
dbLoadRecords "db/dbSubExample.db", "user=yanwhHost"

dbLoadRecords "db/power_ladder19.db"
dbLoadRecords "db/power_ladder20.db"
dbLoadRecords "db/power_ladder1.db"
dbLoadRecords "db/power_ladder2.db"
dbLoadRecords "db/power_ladder3.db"
dbLoadRecords "db/power_ladder4.db"
dbLoadRecords "db/power_ladder5.db"
dbLoadRecords "db/power_ladder6.db"
dbLoadRecords "db/power_ladder7.db"
dbLoadRecords "db/power_ladder8.db"
dbLoadRecords "db/power_ladder9.db"
dbLoadRecords "db/power_ladder10.db"
dbLoadRecords "db/power_ladder11.db"
dbLoadRecords "db/power_ladder12.db"
dbLoadRecords "db/power_ladder13.db"
dbLoadRecords "db/power_ladder14.db"
dbLoadRecords "db/power_ladder15.db"
dbLoadRecords "db/power_ladder16.db"
dbLoadRecords "db/power_ladder17.db"
dbLoadRecords "db/power_ladder18.db"

dbLoadRecords "db/10ladder_readout.db"

dbLoadRecords "db/ladder19N.db"
dbLoadRecords "db/ladder20N.db"
dbLoadRecords "db/ladder1N.db"
dbLoadRecords "db/ladder2N.db"
dbLoadRecords "db/ladder3N.db"
dbLoadRecords "db/ladder4N.db"
dbLoadRecords "db/ladder5N.db"
dbLoadRecords "db/ladder6N.db"
dbLoadRecords "db/ladder7N.db"
dbLoadRecords "db/ladder8N.db"
dbLoadRecords "db/ladder9N.db"
dbLoadRecords "db/ladder10N.db"
dbLoadRecords "db/ladder11N.db"
dbLoadRecords "db/ladder12N.db"
dbLoadRecords "db/ladder13N.db"
dbLoadRecords "db/ladder14N.db"
dbLoadRecords "db/ladder15N.db"
dbLoadRecords "db/ladder16N.db"
dbLoadRecords "db/ladder17N.db"
dbLoadRecords "db/ladder18N.db"

dbLoadRecords "db/ladder19P.db"
dbLoadRecords "db/ladder20P.db"
dbLoadRecords "db/ladder1P.db"
dbLoadRecords "db/ladder2P.db"
dbLoadRecords "db/ladder3P.db"
dbLoadRecords "db/ladder4P.db"
dbLoadRecords "db/ladder5P.db"
dbLoadRecords "db/ladder6P.db"
dbLoadRecords "db/ladder7P.db"
dbLoadRecords "db/ladder8P.db"
dbLoadRecords "db/ladder9P.db"
dbLoadRecords "db/ladder10P.db"
dbLoadRecords "db/ladder11P.db"
dbLoadRecords "db/ladder12P.db"
dbLoadRecords "db/ladder13P.db"
dbLoadRecords "db/ladder14P.db"
dbLoadRecords "db/ladder15P.db"
dbLoadRecords "db/ladder16P.db"
dbLoadRecords "db/ladder17P.db"
dbLoadRecords "db/ladder18P.db"

dbLoadRecords "db/aliasBehavior.db"
dbLoadRecords "db/aliasVSET.db"
dbLoadRecords "db/aliasVMON.db"
dbLoadRecords "db/aliasISET.db"
dbLoadRecords "db/aliasIMON.db"
#dbLoadRecords "db/aliasTMP.db"
dbLoadRecords "db/aliasStatus.db"
dbLoadRecords "db/aliasRampUp.db"
dbLoadRecords "db/aliasRampDown.db"
dbLoadRecords "db/aliasSwitch.db"

seq pow_lad,"lad=1"
seq pow_lad,"lad=2"
seq pow_lad,"lad=3"

seq ssd_ladder,"lad=1N,sect=1N"
seq ssd_ladder,"lad=2N,sect=1N"
seq ssd_ladder,"lad=3N,sect=1N"
seq ssd_ladder,"lad=1P,sect=1P"
seq ssd_ladder,"lad=2P,sect=1P"
seq ssd_ladder,"lad=3P,sect=1P"

seq pow_lad,"lad=4"
seq pow_lad,"lad=5"
seq pow_lad,"lad=6"

seq ssd_ladder,"lad=4N,sect=1N"
seq ssd_ladder,"lad=5N,sect=1N"
seq ssd_ladder,"lad=6N,sect=1N"
seq ssd_ladder,"lad=4P,sect=1P"
seq ssd_ladder,"lad=5P,sect=1P"
seq ssd_ladder,"lad=6P,sect=1P"

seq pow_lad,"lad=7"
seq pow_lad,"lad=8"
seq pow_lad,"lad=9"
seq pow_lad,"lad=10"

seq ssd_ladder,"lad=7N,sect=1N"
seq ssd_ladder,"lad=8N,sect=1N"
seq ssd_ladder,"lad=9N,sect=1N"
seq ssd_ladder,"lad=10N,sect=1N"
seq ssd_ladder,"lad=7P,sect=1P"
seq ssd_ladder,"lad=8P,sect=1P"
seq ssd_ladder,"lad=9P,sect=1P"
seq ssd_ladder,"lad=10P,sect=1P"

seq pow_lad,"lad=11"
seq pow_lad,"lad=12"
seq pow_lad,"lad=13"
seq ssd_ladder,"lad=11N,sect=2N"
seq ssd_ladder,"lad=12N,sect=2N"
seq ssd_ladder,"lad=13N,sect=2N"
seq ssd_ladder,"lad=11P,sect=2P"
seq ssd_ladder,"lad=12P,sect=2P"
seq ssd_ladder,"lad=13P,sect=2P"

seq pow_lad,"lad=14"
seq pow_lad,"lad=15"
seq pow_lad,"lad=16"
seq ssd_ladder,"lad=14N,sect=2N"
seq ssd_ladder,"lad=15N,sect=2N"
seq ssd_ladder,"lad=16N,sect=2N"
seq ssd_ladder,"lad=14P,sect=2P"
seq ssd_ladder,"lad=15P,sect=2P"
seq ssd_ladder,"lad=16P,sect=2P"

seq pow_lad,"lad=17"
seq pow_lad,"lad=18"
seq pow_lad,"lad=19"
seq pow_lad,"lad=20"
seq ssd_ladder,"lad=17N,sect=2N"
seq ssd_ladder,"lad=18N,sect=2N"
seq ssd_ladder,"lad=19N,sect=2N"
seq ssd_ladder,"lad=20N,sect=2N"
seq ssd_ladder,"lad=17P,sect=2P"
seq ssd_ladder,"lad=18P,sect=2P"
seq ssd_ladder,"lad=19P,sect=2P"
seq ssd_ladder,"lad=20P,sect=2P"

seq ssd_main
seq ssd_readout,"sect=1N"
seq ssd_readout,"sect=1P"
seq ssd_readout,"sect=2P"
seq ssd_readout,"sect=2N"

## Set this to see messages from mySub
#var mySubDebug 1

## Run this to trace the stages of iocInit
#traceIocInit

cd ${TOP}/iocBoot/${IOC}
iocInit

## Start any sequence programs
#seq sncExample, "user=yanwhHost"
