/* @(#)SNC/SEQ Version 1.9.2.Beta12 : Thu Sep  1 10:05:25 2005: ssd_readout.i */


/* Event flags */
/* Program "ssd_readout" */
#define ANSI
#include "seqCom.h"

#define NUM_SS 1
#define NUM_CHANNELS 8
#define NUM_EVENTS 0
#define MAX_STRING_SIZE 40
#define ASYNC_OPT FALSE
#define CONN_OPT TRUE
#define DEBUG_OPT FALSE
#define REENT_OPT TRUE


extern struct seqProgram ssd_readout;

/* Variable declarations */
struct UserVar {
	int	readout;
	int	main_readout;
	int	controlMode;
	short	jtag;
	short	refresh;
	short	cancel;
	int	init_state;
	int	lv_status;
};
/* Code for state "init" in state set "readout_board" */

/* Delay function for state "init" in state set "readout_board" */
static void D_readout_board_init(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 47 "../ssd_readout.st"
# line 55 "../ssd_readout.st"
# line 61 "../ssd_readout.st"
# line 69 "../ssd_readout.st"
# line 75 "../ssd_readout.st"
}

/* Event function for state "init" in state set "readout_board" */
static long E_readout_board_init(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 47 "../ssd_readout.st"
	if ((pVar->jtag) && ((pVar->controlMode) == 0) && ((pVar->init_state) != 11) && ((pVar->init_state) != 5))
	{
		*pNextState = 1;
		*pTransNum = 0;
		return TRUE;
	}
# line 55 "../ssd_readout.st"
	if ((pVar->jtag) && ((pVar->controlMode) == 0) && (((pVar->init_state) == 11) || ((pVar->init_state) == 5)))
	{
		*pNextState = 2;
		*pTransNum = 1;
		return TRUE;
	}
# line 61 "../ssd_readout.st"
	if ((pVar->jtag) && ((pVar->controlMode) != 0))
	{
		*pNextState = 9;
		*pTransNum = 2;
		return TRUE;
	}
# line 69 "../ssd_readout.st"
	if (((pVar->lv_status) & 64) && ((pVar->init_state) != 5))
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 75 "../ssd_readout.st"
	if ((!((pVar->lv_status) & 64)) && ((pVar->init_state) == 5))
	{
		*pNextState = 0;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "init" in state set "readout_board" */
static void A_readout_board_init(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 43 "../ssd_readout.st"
		(pVar->init_state) = 1;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 4;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 51 "../ssd_readout.st"
		(pVar->init_state) = 2;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 6;
		seq_pvPut(ssId, 0) 
;
		return;
	case 2:
# line 59 "../ssd_readout.st"
		(pVar->init_state) = 9;
		seq_pvPut(ssId, 6) 
;
		return;
	case 3:
# line 65 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 4:
# line 73 "../ssd_readout.st"
		(pVar->init_state) = 0;
		seq_pvPut(ssId, 6) 
;
		return;
	}
}
/* Code for state "test_fpga" in state set "readout_board" */

/* Delay function for state "test_fpga" in state set "readout_board" */
static void D_readout_board_test_fpga(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 84 "../ssd_readout.st"
# line 92 "../ssd_readout.st"
# line 98 "../ssd_readout.st"
# line 106 "../ssd_readout.st"
# line 112 "../ssd_readout.st"
}

/* Event function for state "test_fpga" in state set "readout_board" */
static long E_readout_board_test_fpga(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 84 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 92 "../ssd_readout.st"
	if ((pVar->readout) == 5)
	{
		*pNextState = 2;
		*pTransNum = 1;
		return TRUE;
	}
# line 98 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 106 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 112 "../ssd_readout.st"
	if ((pVar->readout) == 0)
	{
		*pNextState = 3;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "test_fpga" in state set "readout_board" */
static void A_readout_board_test_fpga(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 82 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 88 "../ssd_readout.st"
		(pVar->init_state) = 2;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 6;
		seq_pvPut(ssId, 0) 
;
		return;
	case 2:
# line 96 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 3:
# line 102 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 4:
# line 110 "../ssd_readout.st"
		(pVar->init_state) = 3;
		seq_pvPut(ssId, 6) 
;
		return;
	}
}
/* Code for state "test2_fpga" in state set "readout_board" */

/* Delay function for state "test2_fpga" in state set "readout_board" */
static void D_readout_board_test2_fpga(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 121 "../ssd_readout.st"
# line 127 "../ssd_readout.st"
# line 135 "../ssd_readout.st"
# line 141 "../ssd_readout.st"
# line 150 "../ssd_readout.st"
}

/* Event function for state "test2_fpga" in state set "readout_board" */
static long E_readout_board_test2_fpga(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 121 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 127 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 135 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 141 "../ssd_readout.st"
	if ((pVar->readout) == 1)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 150 "../ssd_readout.st"
	if ((pVar->readout) == 0)
	{
		*pNextState = 4;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "test2_fpga" in state set "readout_board" */
static void A_readout_board_test2_fpga(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 119 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 125 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 2:
# line 131 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 3:
# line 139 "../ssd_readout.st"
		(pVar->init_state) = 12;
		seq_pvPut(ssId, 6) 
;
		return;
	case 4:
# line 145 "../ssd_readout.st"
		(pVar->init_state) = 3;
		seq_pvPut(ssId, 6) 
;
# line 148 "../ssd_readout.st"
		(pVar->readout) = 4;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "reset" in state set "readout_board" */

/* Delay function for state "reset" in state set "readout_board" */
static void D_readout_board_reset(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 159 "../ssd_readout.st"
# line 165 "../ssd_readout.st"
# line 173 "../ssd_readout.st"
# line 179 "../ssd_readout.st"
# line 186 "../ssd_readout.st"
}

/* Event function for state "reset" in state set "readout_board" */
static long E_readout_board_reset(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 159 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 165 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 173 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 179 "../ssd_readout.st"
	if ((pVar->readout) == 5)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 186 "../ssd_readout.st"
	if ((pVar->readout) == 0)
	{
		*pNextState = 4;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "reset" in state set "readout_board" */
static void A_readout_board_reset(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 157 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 163 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 2:
# line 169 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 3:
# line 177 "../ssd_readout.st"
		(pVar->init_state) = 12;
		seq_pvPut(ssId, 6) 
;
		return;
	case 4:
# line 183 "../ssd_readout.st"
		(pVar->readout) = 4;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "get_version" in state set "readout_board" */

/* Delay function for state "get_version" in state set "readout_board" */
static void D_readout_board_get_version(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 197 "../ssd_readout.st"
# line 203 "../ssd_readout.st"
# line 211 "../ssd_readout.st"
# line 217 "../ssd_readout.st"
# line 224 "../ssd_readout.st"
}

/* Event function for state "get_version" in state set "readout_board" */
static long E_readout_board_get_version(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 197 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 203 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 211 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 217 "../ssd_readout.st"
	if ((pVar->readout) == 5)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 224 "../ssd_readout.st"
	if ((pVar->readout) == 0)
	{
		*pNextState = 5;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "get_version" in state set "readout_board" */
static void A_readout_board_get_version(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 195 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 201 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 2:
# line 207 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 3:
# line 215 "../ssd_readout.st"
		(pVar->init_state) = 12;
		seq_pvPut(ssId, 6) 
;
		return;
	case 4:
# line 221 "../ssd_readout.st"
		(pVar->readout) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "set_config" in state set "readout_board" */

/* Delay function for state "set_config" in state set "readout_board" */
static void D_readout_board_set_config(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 233 "../ssd_readout.st"
# line 239 "../ssd_readout.st"
# line 247 "../ssd_readout.st"
# line 254 "../ssd_readout.st"
}

/* Event function for state "set_config" in state set "readout_board" */
static long E_readout_board_set_config(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 233 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 239 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 247 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 254 "../ssd_readout.st"
	if ((pVar->readout) == 0)
	{
		*pNextState = 6;
		*pTransNum = 3;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "set_config" in state set "readout_board" */
static void A_readout_board_set_config(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 231 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 237 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 2:
# line 243 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 3:
# line 251 "../ssd_readout.st"
		(pVar->readout) = 1;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "get_status" in state set "readout_board" */

/* Delay function for state "get_status" in state set "readout_board" */
static void D_readout_board_get_status(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 263 "../ssd_readout.st"
# line 269 "../ssd_readout.st"
# line 277 "../ssd_readout.st"
# line 286 "../ssd_readout.st"
}

/* Event function for state "get_status" in state set "readout_board" */
static long E_readout_board_get_status(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 263 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 269 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 277 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 286 "../ssd_readout.st"
	if ((pVar->readout) == 0)
	{
		*pNextState = 7;
		*pTransNum = 3;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "get_status" in state set "readout_board" */
static void A_readout_board_get_status(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 261 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 267 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 2:
# line 273 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 3:
# line 281 "../ssd_readout.st"
		(pVar->init_state) = 4;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 2;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "ready" in state set "readout_board" */

/* Delay function for state "ready" in state set "readout_board" */
static void D_readout_board_ready(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 295 "../ssd_readout.st"
# line 303 "../ssd_readout.st"
# line 309 "../ssd_readout.st"
# line 317 "../ssd_readout.st"
# line 325 "../ssd_readout.st"
# line 333 "../ssd_readout.st"
# line 342 "../ssd_readout.st"
}

/* Event function for state "ready" in state set "readout_board" */
static long E_readout_board_ready(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 295 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 303 "../ssd_readout.st"
	if ((pVar->main_readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 309 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 317 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 325 "../ssd_readout.st"
	if (((pVar->jtag) | (pVar->refresh)) && !(pVar->init_state))
	{
		*pNextState = 2;
		*pTransNum = 4;
		return TRUE;
	}
# line 333 "../ssd_readout.st"
	if (((pVar->jtag) | (pVar->refresh)) && (pVar->init_state))
	{
		*pNextState = 1;
		*pTransNum = 5;
		return TRUE;
	}
# line 342 "../ssd_readout.st"
	if ((pVar->controlMode) == 1)
	{
		*pNextState = 8;
		*pTransNum = 6;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "ready" in state set "readout_board" */
static void A_readout_board_ready(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 293 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 299 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 7;
		seq_pvPut(ssId, 0) 
;
		return;
	case 2:
# line 307 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 3:
# line 313 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 4:
# line 321 "../ssd_readout.st"
		(pVar->init_state) = 2;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 6;
		seq_pvPut(ssId, 0) 
;
		return;
	case 5:
# line 329 "../ssd_readout.st"
		(pVar->init_state) = 3;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 4;
		seq_pvPut(ssId, 0) 
;
		return;
	case 6:
# line 338 "../ssd_readout.st"
		(pVar->init_state) = 8;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 5;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "daq" in state set "readout_board" */

/* Delay function for state "daq" in state set "readout_board" */
static void D_readout_board_daq(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 357 "../ssd_readout.st"
# line 365 "../ssd_readout.st"
# line 371 "../ssd_readout.st"
# line 379 "../ssd_readout.st"
# line 387 "../ssd_readout.st"
# line 397 "../ssd_readout.st"
# line 403 "../ssd_readout.st"
	seq_delayInit(ssId, 0, (5));
}

/* Event function for state "daq" in state set "readout_board" */
static long E_readout_board_daq(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 357 "../ssd_readout.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 365 "../ssd_readout.st"
	if ((pVar->main_readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 371 "../ssd_readout.st"
	if ((pVar->readout) == 9)
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 379 "../ssd_readout.st"
	if ((pVar->lv_status) & 64)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 387 "../ssd_readout.st"
	if ((pVar->refresh) || (pVar->jtag))
	{
		*pNextState = 10;
		*pTransNum = 4;
		return TRUE;
	}
# line 397 "../ssd_readout.st"
	if ((pVar->controlMode) == 0)
	{
		*pNextState = 7;
		*pTransNum = 5;
		return TRUE;
	}
# line 403 "../ssd_readout.st"
	if (seq_delay(ssId, 0))
	{
		*pNextState = 8;
		*pTransNum = 6;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "daq" in state set "readout_board" */
static void A_readout_board_daq(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 355 "../ssd_readout.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 6) 
;
		return;
	case 1:
# line 361 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 7;
		seq_pvPut(ssId, 0) 
;
		return;
	case 2:
# line 369 "../ssd_readout.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 6) 
;
		return;
	case 3:
# line 375 "../ssd_readout.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 9;
		seq_pvPut(ssId, 0) 
;
		return;
	case 4:
# line 383 "../ssd_readout.st"
		(pVar->init_state) = 9;
		seq_pvPut(ssId, 6) 
;
		(pVar->readout) = 0;
		seq_pvPut(ssId, 0) 
;
		return;
	case 5:
# line 394 "../ssd_readout.st"
		if ((pVar->init_state) == 8)
		{
			(pVar->init_state) = 7;
			seq_pvPut(ssId, 6) 
;
		}
# line 395 "../ssd_readout.st"
		(pVar->readout) = 4;
		seq_pvPut(ssId, 0) 
;
		return;
	case 6:
# line 401 "../ssd_readout.st"
		(pVar->readout) = 2;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "warning_init" in state set "readout_board" */

/* Delay function for state "warning_init" in state set "readout_board" */
static void D_readout_board_warning_init(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 414 "../ssd_readout.st"
	seq_delayInit(ssId, 0, (1));
}

/* Event function for state "warning_init" in state set "readout_board" */
static long E_readout_board_warning_init(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 414 "../ssd_readout.st"
	if (seq_delay(ssId, 0))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "warning_init" in state set "readout_board" */
static void A_readout_board_warning_init(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 412 "../ssd_readout.st"
		(pVar->init_state) = 6;
		seq_pvPut(ssId, 6) 
;
		return;
	}
}
/* Code for state "warning_daq" in state set "readout_board" */

/* Delay function for state "warning_daq" in state set "readout_board" */
static void D_readout_board_warning_daq(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 423 "../ssd_readout.st"
	seq_delayInit(ssId, 0, (1));
}

/* Event function for state "warning_daq" in state set "readout_board" */
static long E_readout_board_warning_daq(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 423 "../ssd_readout.st"
	if (seq_delay(ssId, 0))
	{
		*pNextState = 8;
		*pTransNum = 0;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "warning_daq" in state set "readout_board" */
static void A_readout_board_warning_daq(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 421 "../ssd_readout.st"
		(pVar->init_state) = 8;
		seq_pvPut(ssId, 6) 
;
		return;
	}
}
/* Exit handler */
static void exit_handler(ssId, pVar)
int	ssId;
struct UserVar	*pVar;
{
}

/************************ Tables ***********************/

/* Database Blocks */
static struct seqChan seqChan[NUM_CHANNELS] = {
  {"ssd_q{sect}_readout", (void *)OFFSET(struct UserVar, readout), "readout", 
    "int", 1, 1, 0, 1},

  {"ssd_q1P_readout", (void *)OFFSET(struct UserVar, main_readout), "main_readout", 
    "int", 1, 2, 0, 1},

  {"ssd_control_mode", (void *)OFFSET(struct UserVar, controlMode), "controlMode", 
    "int", 1, 3, 0, 1},

  {"ssd_main_jtag", (void *)OFFSET(struct UserVar, jtag), "jtag", 
    "short", 1, 4, 0, 1},

  {"ssd_main_costar", (void *)OFFSET(struct UserVar, refresh), "refresh", 
    "short", 1, 5, 0, 1},

  {"ssd_main_cancel", (void *)OFFSET(struct UserVar, cancel), "cancel", 
    "short", 1, 6, 0, 1},

  {"ssd_q{sect}_state", (void *)OFFSET(struct UserVar, init_state), "init_state", 
    "int", 1, 7, 0, 1},

  {"ssd_lad1N_lv_status", (void *)OFFSET(struct UserVar, lv_status), "lv_status", 
    "int", 1, 8, 0, 1},

};

/* Event masks for state set readout_board */
	/* Event mask for state init: */
static bitMask	EM_readout_board_init[] = {
	0x00000198,
};
	/* Event mask for state test_fpga: */
static bitMask	EM_readout_board_test_fpga[] = {
	0x00000142,
};
	/* Event mask for state test2_fpga: */
static bitMask	EM_readout_board_test2_fpga[] = {
	0x00000142,
};
	/* Event mask for state reset: */
static bitMask	EM_readout_board_reset[] = {
	0x00000142,
};
	/* Event mask for state get_version: */
static bitMask	EM_readout_board_get_version[] = {
	0x00000142,
};
	/* Event mask for state set_config: */
static bitMask	EM_readout_board_set_config[] = {
	0x00000142,
};
	/* Event mask for state get_status: */
static bitMask	EM_readout_board_get_status[] = {
	0x00000142,
};
	/* Event mask for state ready: */
static bitMask	EM_readout_board_ready[] = {
	0x000001fe,
};
	/* Event mask for state daq: */
static bitMask	EM_readout_board_daq[] = {
	0x0000017e,
};
	/* Event mask for state warning_init: */
static bitMask	EM_readout_board_warning_init[] = {
	0x00000000,
};
	/* Event mask for state warning_daq: */
static bitMask	EM_readout_board_warning_daq[] = {
	0x00000000,
};

/* State Blocks */

static struct seqState state_readout_board[] = {
	/* State "init" */ {
	/* state name */       "init",
	/* action function */ (ACTION_FUNC) A_readout_board_init,
	/* event function */  (EVENT_FUNC) E_readout_board_init,
	/* delay function */   (DELAY_FUNC) D_readout_board_init,
	/* event mask array */ EM_readout_board_init},

	/* State "test_fpga" */ {
	/* state name */       "test_fpga",
	/* action function */ (ACTION_FUNC) A_readout_board_test_fpga,
	/* event function */  (EVENT_FUNC) E_readout_board_test_fpga,
	/* delay function */   (DELAY_FUNC) D_readout_board_test_fpga,
	/* event mask array */ EM_readout_board_test_fpga},

	/* State "test2_fpga" */ {
	/* state name */       "test2_fpga",
	/* action function */ (ACTION_FUNC) A_readout_board_test2_fpga,
	/* event function */  (EVENT_FUNC) E_readout_board_test2_fpga,
	/* delay function */   (DELAY_FUNC) D_readout_board_test2_fpga,
	/* event mask array */ EM_readout_board_test2_fpga},

	/* State "reset" */ {
	/* state name */       "reset",
	/* action function */ (ACTION_FUNC) A_readout_board_reset,
	/* event function */  (EVENT_FUNC) E_readout_board_reset,
	/* delay function */   (DELAY_FUNC) D_readout_board_reset,
	/* event mask array */ EM_readout_board_reset},

	/* State "get_version" */ {
	/* state name */       "get_version",
	/* action function */ (ACTION_FUNC) A_readout_board_get_version,
	/* event function */  (EVENT_FUNC) E_readout_board_get_version,
	/* delay function */   (DELAY_FUNC) D_readout_board_get_version,
	/* event mask array */ EM_readout_board_get_version},

	/* State "set_config" */ {
	/* state name */       "set_config",
	/* action function */ (ACTION_FUNC) A_readout_board_set_config,
	/* event function */  (EVENT_FUNC) E_readout_board_set_config,
	/* delay function */   (DELAY_FUNC) D_readout_board_set_config,
	/* event mask array */ EM_readout_board_set_config},

	/* State "get_status" */ {
	/* state name */       "get_status",
	/* action function */ (ACTION_FUNC) A_readout_board_get_status,
	/* event function */  (EVENT_FUNC) E_readout_board_get_status,
	/* delay function */   (DELAY_FUNC) D_readout_board_get_status,
	/* event mask array */ EM_readout_board_get_status},

	/* State "ready" */ {
	/* state name */       "ready",
	/* action function */ (ACTION_FUNC) A_readout_board_ready,
	/* event function */  (EVENT_FUNC) E_readout_board_ready,
	/* delay function */   (DELAY_FUNC) D_readout_board_ready,
	/* event mask array */ EM_readout_board_ready},

	/* State "daq" */ {
	/* state name */       "daq",
	/* action function */ (ACTION_FUNC) A_readout_board_daq,
	/* event function */  (EVENT_FUNC) E_readout_board_daq,
	/* delay function */   (DELAY_FUNC) D_readout_board_daq,
	/* event mask array */ EM_readout_board_daq},

	/* State "warning_init" */ {
	/* state name */       "warning_init",
	/* action function */ (ACTION_FUNC) A_readout_board_warning_init,
	/* event function */  (EVENT_FUNC) E_readout_board_warning_init,
	/* delay function */   (DELAY_FUNC) D_readout_board_warning_init,
	/* event mask array */ EM_readout_board_warning_init},

	/* State "warning_daq" */ {
	/* state name */       "warning_daq",
	/* action function */ (ACTION_FUNC) A_readout_board_warning_daq,
	/* event function */  (EVENT_FUNC) E_readout_board_warning_daq,
	/* delay function */   (DELAY_FUNC) D_readout_board_warning_daq,
	/* event mask array */ EM_readout_board_warning_daq},


};

/* State Set Blocks */
static struct seqSS seqSS[NUM_SS] = {
	/* State set "readout_board" */ {
	/* ss name */            "readout_board",
	/* ptr to state block */ state_readout_board,
	/* number of states */   11,
	/* error state */        -1},
};

/* Program parameter list */
static char prog_param[] = "";

/* State Program table (global) */
struct seqProgram ssd_readout = {
	/* magic number */       940501,
	/* *name */              "ssd_readout",
	/* *pChannels */         seqChan,
	/* numChans */           NUM_CHANNELS,
	/* *pSS */               seqSS,
	/* numSS */              NUM_SS,
	/* user variable size */ sizeof(struct UserVar),
	/* *pParams */           prog_param,
	/* numEvents */          NUM_EVENTS,
	/* encoded options */    (0 | OPT_CONN | OPT_NEWEF | OPT_REENT | OPT_VXWORKS),
	/* exit handler */      (EXIT_FUNC) exit_handler,
};
